package de.mutschler.rpdl;

import de.mutschler.util.LogObj;

/**
 * This class is mainly for the error-handling.
 * It contains information about where the RPDL-Object
 * came from, e.g. filename, line in the file, column.
 */
public abstract class Origin extends LogObj
{
	/**
	 * Just get the info-string of the origin.
	 */
	public abstract String getOrigin();	

	/** default toString simply calls getOrigin(); */
	public String toString() {
		return getOrigin();
	}
}